org.apache.catalina.storeconfig

## Class WrapperListenerSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.WrapperListenerSF

- All Implemented Interfaces:
    IStoreFactory

      public class WrapperListenerSF
      extends StoreFactoryBase

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrapperListenerSF()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `store(PrintWriter aWriter, int indent, Object aElement)` Store a server.xml element with attributes and children

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeChildren, storeElement, storeElementArray, storeXMLHead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WrapperListenerSF

          public WrapperListenerSF()

  - ### Method Detail

    - #### store

          public void store(PrintWriter aWriter,
                   int indent,
                   Object aElement)
                     throws Exception

      Description copied from class: `StoreFactoryBase`
      Store a server.xml element with attributes and children
      Specified by:
        `store` in interface `IStoreFactory`
      Overrides:
        `store` in class `StoreFactoryBase`
      Throws:
        `Exception`
      See Also:
        `IStoreFactory.store(java.io.PrintWriter, int, java.lang.Object)`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.